#include "FuelGeneratorRevealerStatusEffect.h"
#include "Net/UnrealNetwork.h"

class AFuelGenerator;

void UFuelGeneratorRevealerStatusEffect::OnRep_RevealedFuelGenerator(AFuelGenerator* previousRevealedGenerator)
{

}

void UFuelGeneratorRevealerStatusEffect::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UFuelGeneratorRevealerStatusEffect, _revealedFuelGenerator);
}

UFuelGeneratorRevealerStatusEffect::UFuelGeneratorRevealerStatusEffect()
{

}
